%define upstream_name    HTML-Template-Pluggable
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Extends HTML::Template with plugin support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
By adding support for this dot notation to the HTML::Template manpage, the
programmers' job of sending data to the template is easier, and designers
have easier access to more data to display in the template, without
learning any more tag syntax.

EXAMPLES
Class::DBI integration
    the Class::DBI manpage accessors can be used in the template. If the
    accessor is never called in the template, that data doesn't have to be
    loaded.

    In the code:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-8.mga6
+ Revision: 1028365
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.170.0-7.mga6
+ Revision: 971631
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.170.0-6.mga6
+ Revision: 892145
- BR perl(CGI)

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 742938
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 684975
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 512092
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 368151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 32060
- mageia rebuild
- imported package perl-HTML-Template-Pluggable


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.170.0-1mdv2011.0
+ Revision: 624903
- import perl-HTML-Template-Pluggable

